# ports

Published runtime operations for ports.

Source: cd46e0e78d73497aec99e3e8d33c1fef632f36f9
URL: /reference/http-ports

## ports.read [#portsread]



````http
GET /ports/:port
````

| Contract | Value |
| --- | --- |
| Access | Remote and local |
| Execution | read |
| Request body | none |
| Response | json |
| Query parameters | `after`, `limit` |

## ports.events [#portsevents]



````http
GET /ports/:port/events
````

| Contract | Value |
| --- | --- |
| Access | Remote and local |
| Execution | read |
| Request body | none |
| Response | events |
| Query parameters | `after`, `limit` |

## ports.messages [#portsmessages]



````http
POST /ports/:port/messages
````

| Contract | Value |
| --- | --- |
| Access | Remote and local |
| Execution | command |
| Request body | json |
| Response | json |
| Query parameters | None |
